/**
 * @file song.h
 * @author Shinichiro Nakamura
 * @copyright
 * ===============================================================
 * A tiny MML parser (Version 0.5.0)
 * ===============================================================
 * Copyright (c) 2014-2015 Shinichiro Nakamura
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef SONG_H
#define SONG_H

#include <avr/pgmspace.h>

// Super Mario Bros. Original music composed by KOJI KONDO
const char wave_start_text[] PROGMEM = "T240L8>E8R16E8R16R8E8R16R8C8R16E4R16G4R16R4<G4R4";
const char wave_touch_text[] PROGMEM = "T240L8>C32C+16D16R8R4<A8R16>F8R8F8R16F8R8E8R16D8R8C8R16<E8R8E8R16C8R8R4";
const char wave_goal_text[] PROGMEM = "T240L8<G83R16>C83R16E83R16G83R16>C83R16E83R16G4.R16E4R8<<A-83R16>C83R16E-83R16A-83R16>C83R16E-83R16A-4.R16E-4R8<<B-83R16>D83R16F83R16B-83R16>D83R16F83R16B-4.R16B-43R16B-43R16B-43R16>C2R16";

#endif

